SLATTACH(8) | System Manager's Manual | SLATTACH(8)

# NAME

`slattach` — attach serial lines as network interfaces

# SYNOPSIS

`slattach` | [`-Hhlmn`] [`-s` baudrate] [`-t` ldisc] ttyname

# DESCRIPTION

`slattach` is used to assign a tty line to a network interface which uses asynchronous serial lines.

Currently the `slattach` command is used to attach sl(4) interfaces. These interfaces have to be created using the ifconfig(8). The resulting point-to-point link is not a broadcast interface and normally has a netmask of 255.255.255.255. `create` subcommand before the `slattach` command. The network source and destination addresses and other interface parameters are configured via ifconfig(8).

The following operands are supported by `slattach`:

`-H`
  Turn on DTR/CTS flow control. By default, no flow control is done.
`-h`
  Turn on RTS/CTS flow control. By default, no flow control is done.
`-l`
  Turn on the CLOCAL flag, making it possible to run SLIP on a cable without modem control signals (e.g. DTR, DSR, DCD).
`-m`
  Maintain modem control signals after closing the line. Specifically, this disables HUPCL.
`-n`
  Don't detach from invoking tty.
`-s` baudrate
  Specifies the speed of the connection. If not specified, the default of 9600 is used.
`-t` ldisc
  Specifies the line discipline to use for the tty. Supported line disciplines are “slip” (creates a sl(4) instance). If this option is not specified, the default is “slip”. This option is retained for backwards compatibility with existing scripts.
ttyname
  Specifies the name of the tty device. ttyname should be a string of the form ‘`ttyXX`’, or ‘`/dev/ttyXX`’.

Only the super-user may attach a network interface.

To detach the interface, use “`ifconfig interface-name down`” after killing off the `slattach` process. Interface-name is the name that is shown by netstat(1).

# EXAMPLES

Lock, initialize, and attach a line (on both sides):

    cu -t -F [hard|soft] -l /dev/dty00
    ifconfig sl0 create
    slattach -l -t slip /dev/dty00

On the local side:

    ifconfig sl0 inet 10.0.0.2 10.0.0.1 netmask 255.255.255.255

On the remote side:

    ifconfig sl0 inet 10.0.0.1 10.0.0.2 netmask 255.255.255.255

# DIAGNOSTICS

Messages indicating that the specified interface is not configured or created, the requested address is unknown, or that the user is not privileged but tried to alter an interface's configuration.

# SEE ALSO

netstat(1), daemon(3), netintro(4), sl(4), ifconfig(8), rc(8), sliplogin(8), slstats(8)

# HISTORY

The `slattach` command appeared in 4.3BSD.

# BUGS

There is no way to specify the interface name (sl%d etc.) to be attached by the `slattach` command. There is no way to see which interface is assigned to the specified tty by the `slattach` command, either.

It would be better if the network interfaces were created by the `slattach` command rather than by using the ifconfig(8) `create` subcommand before the `slattach` command.

January 18, 2020 | NetBSD 11.99